> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/xrp-ledger/tx_history-xrpl.md).

# tx\_history - XRPL

This method retrieves some of the most recent transactions made. This method is deprecated and may be removed in future versions.

{% hint style="warning" %}
Deprecated: The `tx_history` method is deprecated and may be removed in future versions. Use `account_tx` or `ledger` with `transactions: true` instead.
{% endhint %}

### Parameters

| Parameter | Type   | Required | Description    |
| --------- | ------ | -------- | -------------- |
| start     | number | No       | Starting index |

### Request Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS_TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "tx_history",
    "params": [{
        "start": 0
    }],
    "id": "getblock.io"
}'
```

{% endtab %}

{% tab title="Axios" %}

```javascript
const axios = require('axios');

const url = 'https://go.getblock.io/<ACCESS_TOKEN>/';
const headers = {
    'Content-Type': 'application/json'
};

const payload = {
    jsonrpc: '2.0',
    method: 'tx_history',
    params: [{
        start: 0
    }],
    id: 'getblock.io'
};

axios.post(url, payload, { headers })
    .then(response => console.log(response.data))
    .catch(error => console.error(error));
```

{% endtab %}

{% tab title="Request" %}

```python
import requests

url = "https://go.getblock.io/<ACCESS_TOKEN>/"
headers = {

    "Content-Type": "application/json"
}

payload = {
    "jsonrpc": "2.0",
    "method": "tx_history",
    "params": [{
        "start": 0
    }],
    "id": "getblock.io"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

{% endtab %}

{% tab title="Rust" %}

```rust
use reqwest::Client;
use serde_json::json;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    
    let payload = json!({
        "jsonrpc": "2.0",
        "method": "tx_history",
        "params": [{
            "start": 0
        }],
        "id": "getblock.io"
    });

    let response = client
        .post("https://go.getblock.io/<ACCESS_TOKEN>/")
        .header("Content-Type", "application/json")
        .json(&payload)
        .send()
        .await?;

    let result: serde_json::Value = response.json().await?;
    println!("{:#?}", result);
    
    Ok(())
}
```

{% endtab %}
{% endtabs %}

### Response Example

```json
{
    "result": {
        "index": 0,
        "status": "success",
        "txs": []
    }
}
```

### Returns

| Field | Type   | Description       |
| ----- | ------ | ----------------- |
| index | number | Starting index    |
| txs   | array  | Transaction array |

### Recommended Alternatives

{% tabs %}
{% tab title="Use account\_tx Instead" %}

```javascript
const xrpl = require('xrpl');

async function getTransactions() {
    const client = new xrpl.Client('wss://xrplcluster.com');
    await client.connect();
    
    const response = await client.request({
        command: 'account_tx',
        account: 'rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH',
        limit: 20
    });
    
    console.log('Transactions:', response.result.transactions);
    await client.disconnect();
}

getTransactions();
```

{% endtab %}

{% tab title="Use ledger with transactions" %}

```javascript
const xrpl = require('xrpl');

async function getLedgerTx() {
    const client = new xrpl.Client('wss://xrplcluster.com');
    await client.connect();
    
    const response = await client.request({
        command: 'ledger',
        ledger_index: 'validated',
        transactions: true,
        expand: true
    });
    
    console.log('Transactions:', response.result.ledger.transactions);
    await client.disconnect();
}

getLedgerTx();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/xrp-ledger/tx_history-xrpl.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
